Subject: Re: [PATCH] net: phy: dp83867: fix get nvmem cell fail

From: Andrew Lunn <[email-masked]>
Date: Fri, 5 Aug 2022 21:57:07 +0200

On Fri, Aug 05, 2022 at 11:48:43AM +0300, Nikita Shubin wrote:
> From: Nikita Shubin <[email-masked]>
> 
> If CONFIG_NVMEM is not set of_nvmem_cell_get, of_nvmem_device_get
> functions will return ERR_PTR(-EOPNOTSUPP) and "failed to get nvmem
> cell io_impedance_ctrl" error would be reported despite "io_impedance_ctrl"
> is completely missing in Device Tree and we should use default values.
> 
> Check -EOPNOTSUPP togather with -ENOENT to avoid this situation.

Should be 'together'

Reviewed-by: Andrew Lunn <[email-masked]>

    Andrew